#!/bin/bash
#Description: DevKit constants
#Copyright: Copyright © Huawei Technologies Co., Ltd. 2023. All rights reserved.
#History: 2024-01-10 created

function clean_uuid_files() {
    hercules_dir=${user_uuid_path}/hercules
    rm -rf "${hercules_dir}"
    agent_path=${user_uuid_path}/agent
    rm -rf "${agent_path}"
    agent_tar_path=${user_uuid_path}/agent.tar.gz
    rm -rf ${agent_tar_path}
    kmpi_path=${user_uuid_path}/libkmpi.so
    rm -rf "${kmpi_path}"
    libstdc_path=${user_uuid_path}/libstdc++.so
    rm -rf "${libstdc_path}"
    lldb_path=${user_uuid_path}/lldb-server
    rm -rf "${lldb_path}"

}

function main() {
    mpi_app_path="$1"
    uuid="$2"
    mpi_app_dir_path=$(dirname "${mpi_app_path}")
    user_uuid_path=${mpi_app_dir_path}/kunpeng/${uuid}
    clean_uuid_files
}

main "$@"
