#!/bin/bash
#Description: DevKit constants
#Copyright: Copyright © Huawei Technologies Co., Ltd. 2023. All rights reserved.
#History: 2023-11-8 created

sqlite3_bin_path=$(which sqlite3)


function main() {
    DB_SQLITE_PATH="$1"
    USERNAME="$2"
    UUID="$3"
    regex="^[a-zA-Z][a-zA-Z0-9_-]{5,31}$"
    if [[ ! $2 =~ $regex ]]; then
      echo "输入参数不符合规范"
      exit 1
    fi
    cuda_ret=$(${sqlite3_bin_path} "${DB_SQLITE_PATH}" "delete from mpi_debugger_mpidebugtask where web_username='$USERNAME';")
    mpi_ret=$(${sqlite3_bin_path} "${DB_SQLITE_PATH}" "delete from cuda_debugger_cudanode where web_username='$USERNAME';")
    ssh_ret=$(${sqlite3_bin_path} "${DB_SQLITE_PATH}" "delete from ssh_key_sshkeys where username='$USERNAME';")
    $(${sqlite3_bin_path} "${DB_SQLITE_PATH}" ".quit")
}
main "$@"